#if !defined(AFX_CELLSDLG_H__08DFECAA_FEF0_4740_A5B5_6C95897869F0__INCLUDED_)
#define AFX_CELLSDLG_H__08DFECAA_FEF0_4740_A5B5_6C95897869F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CellsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCellsDlg dialog

class CCellsDlg : public CToolTipDialog
{
// Construction
public:
	CCellsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCellsDlg)
	enum { IDD = IDD_CELLS };
	CProgressCtrl	m_ProgCell;
	CListCtrl	m_CList;
	//}}AFX_DATA
	int m_nT,m_nVTS,m_iDomain,m_nLU;
	int m_indexAction,m_indexReplace;
	bool m_bIsExtracting;
//	int m_bPreserveAudio;
	CRect	m_RectApp, m_RectLIST,m_RectPROG,m_RectINFO;
	CRect	m_RectBKEEP, m_RectBKEEPALL, m_RectBSUBS,m_RectBBLANK, m_RectBBLANKALL; 
	CRect	m_RectBSPLIT,m_RectBSTILL, m_RectBEXTRACT, m_RectBEXTRACTALL, m_RectBEXTRACTALL2;
	CRect	m_RectBPREVCELL, m_RectBOK, m_RectBCANCEL, m_RectBABORT; 

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCellsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	virtual BOOL OnInitDialog();

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCellsDlg)
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnRclickList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonextract();
	afx_msg void OnClickList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonextractall();
	afx_msg void OnButtonextractall2();
	afx_msg void OnButtonblank();
	afx_msg void OnButtonkeep();
	afx_msg void OnButtonsubs();
	afx_msg void OnButtonkeepall();
	afx_msg void OnButtonblankall();
	afx_msg void OnButtonprevcell();
	afx_msg void OnDblclkListcells(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonstill();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg void OnButtonsplit();
	afx_msg void OnAbort();
	//}}AFX_MSG
	afx_msg void On__extract();
	afx_msg void On__keep();
	afx_msg void On__blank();
	afx_msg void On__subs();
	afx_msg void On__prev();
	afx_msg void On__extractall();
	afx_msg void On__extractall2();
	afx_msg void On__keepall();
	afx_msg void On__blankall();
	afx_msg void On__still();
	afx_msg void On__split();
	afx_msg void On__selectall();


	DECLARE_MESSAGE_MAP()

public:
	virtual void UpdateProgress(int nPerc);
	virtual void CheckEnableMenu(CMenu* pPopup);
	virtual void CheckEnableButtons();
	virtual void DeleteReplaceCell(int nCell);
	virtual void DeleteStillCell(int nCell);
	virtual void DeleteSplitCell(int nCell);
	virtual void DeleteCutCell(int nCell);
	virtual void CCellsDlg::GetInitialCoord() ;

private:
	virtual void OnSize(UINT nType, int cx, int cy);
	virtual void ReSizeProgress(int IDD, CRect myRect, int cx, int cy);
	virtual void ReSizeButton(int IDD, CRect myRect, int cx, int cy);
	virtual void ReSizeButtonBottom(int IDD, CRect myRect, int cx, int cy);
	virtual void ReSizeBottom(int IDD, CRect myRect, int cx, int cy);
	virtual void ReSizeList(int IDD, CRect myRect, int cx, int cy);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CELLSDLG_H__08DFECAA_FEF0_4740_A5B5_6C95897869F0__INCLUDED_)
