// SettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "HtmlHelp.h"
#include "ToolTipDialog.h"
#include "VobBlanker.h"
#include "SettingsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


extern CVobBlankerApp theApp;
/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg dialog


CSettingsDlg::CSettingsDlg(CWnd* pParent /*=NULL*/)
	: CToolTipDialog(CSettingsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSettingsDlg)
	m_bCheckBlankNoB = TRUE;
	m_bCheckElapsed = FALSE;
	m_bCheckNextMenu = TRUE;
	m_bCheckNextTitle = TRUE;
	m_bCheckPrevMenu = TRUE;
	m_bCheckPrevTitle = TRUE;
	m_bCheckAttrMenu = TRUE;
	m_bCheckAttrTitle = FALSE;
	m_bCheckVobFill = FALSE;
	m_bCheckVobOrder = FALSE;
	m_bCheckVobMUnref = TRUE;
	m_bCheckVobLUnref = FALSE;
	m_bCheckOneSecStill = TRUE;
	m_bCheckBckMul = FALSE;
	m_bCheckBckVts = FALSE;
	m_bCheckNoOverlay = FALSE;
	m_bCheckAutoScan = FALSE;
	m_bCheckFixVobsReplacing = FALSE;
	m_bCheckCopyAttrib = FALSE;
	m_bCheckCopyPalette = FALSE;
	m_bCheckAutoPlay = FALSE;
	m_bCheckCopyStatus = FALSE;
	m_bCheckClockDisc = FALSE;
	m_bCheckSubsAR = FALSE;
	m_bCheckVobRenumber = FALSE;
	m_bCheckFixMenuPointers = FALSE;
	m_bCheckFixTitlePointers = FALSE;
	m_bCheckPostPre = TRUE;
	m_bCheckPostPreForced = FALSE;
	m_bCheckDisTinyPrev = FALSE;
	m_bCheckAutoPlayTiny = TRUE;
	m_bCheckTinyGoto10 = TRUE;
	m_bCheckTinyMenus = TRUE;
	m_bCheck32kMenus = FALSE;
	//}}AFX_DATA_INIT
}


void CSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingsDlg)
	DDX_Control(pDX, IDC_COMBONVOBUS, m_ComboNVOBUs);
	DDX_Control(pDX, IDC_COMBOSTILL, m_ComboStill);
	DDX_Control(pDX, IDC_COMBOMINSTILL, m_ComboMinStill);
	DDX_Control(pDX, IDC_COMBOMAXSTILL, m_ComboMaxStill);
	DDX_Check(pDX, IDC_CHECKBLANKNOBUTTONS, m_bCheckBlankNoB);
	DDX_Check(pDX, IDC_CHECKELAPSED, m_bCheckElapsed);
	DDX_Check(pDX, IDC_CHECKNEXTMENU, m_bCheckNextMenu);
	DDX_Check(pDX, IDC_CHECKNEXTTITLE, m_bCheckNextTitle);
	DDX_Check(pDX, IDC_CHECKPREVMENU, m_bCheckPrevMenu);
	DDX_Check(pDX, IDC_CHECKPREVTITLE, m_bCheckPrevTitle);
	DDX_Check(pDX, IDC_CHECKATTRMENU, m_bCheckAttrMenu);
	DDX_Check(pDX, IDC_CHECKATTRTITLE, m_bCheckAttrTitle);
	DDX_Check(pDX, IDC_CHECKVOBFILL, m_bCheckVobFill);
	DDX_Check(pDX, IDC_CHECKVOBORDER, m_bCheckVobOrder);
	DDX_Check(pDX, IDC_CHECKVOBMUNREF, m_bCheckVobMUnref);
	DDX_Check(pDX, IDC_CHECKVOBLUNREF, m_bCheckVobLUnref);
	DDX_Check(pDX, IDC_CHECKONESECSTILL, m_bCheckOneSecStill);
	DDX_Check(pDX, IDC_CHECKBCKMUL, m_bCheckBckMul);
	DDX_Check(pDX, IDC_CHECKBCKVTS, m_bCheckBckVts);
	DDX_Check(pDX, IDC_CHECKNOOVERLAY, m_bCheckNoOverlay);
	DDX_Check(pDX, IDC_CHECKAUTOSCAN, m_bCheckAutoScan);
	DDX_Check(pDX, IDC_CHECKFIXVOBSREPLACING, m_bCheckFixVobsReplacing);
	DDX_Check(pDX, IDC_CHECKCOPYATTRIB, m_bCheckCopyAttrib);
	DDX_Check(pDX, IDC_CHECKCOPYPALETTE, m_bCheckCopyPalette);
	DDX_Check(pDX, IDC_CHECKAUTOPLAY, m_bCheckAutoPlay);
	DDX_Check(pDX, IDC_CHECKCOPYSTATUS, m_bCheckCopyStatus);
	DDX_Check(pDX, IDC_CHECKCLOCKDISC, m_bCheckClockDisc);
	DDX_Check(pDX, IDC_CHECKSUBSAR, m_bCheckSubsAR);
	DDX_Check(pDX, IDC_CHECKVOBRENUMBER, m_bCheckVobRenumber);
	DDX_Check(pDX, IDC_CHECKFIXMENUPOINTERS, m_bCheckFixMenuPointers);
	DDX_Check(pDX, IDC_CHECKFIXTITLEPOINTERS, m_bCheckFixTitlePointers);
	DDX_Check(pDX, IDC_CHECKPOSTPRE, m_bCheckPostPre);
	DDX_Check(pDX, IDC_CHECKPOSTPREFORCED, m_bCheckPostPreForced);
	DDX_Check(pDX, IDC_CHECKDISTINYPREV, m_bCheckDisTinyPrev);
	DDX_Check(pDX, IDC_CHECKAUTOPLAYTINY, m_bCheckAutoPlayTiny);
	DDX_Check(pDX, IDC_CHECKTINYGOTO10, m_bCheckTinyGoto10);
	DDX_Check(pDX, IDC_CHECKTINYMENUS, m_bCheckTinyMenus);
	DDX_Check(pDX, IDC_CHECK32KB, m_bCheck32kMenus);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSettingsDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingsDlg)
	ON_BN_CLICKED(IDDEFAULT, OnDefault)
	ON_BN_CLICKED(IDC_CHECKVOBORDER, OnCheckvoborder)
	ON_BN_CLICKED(IDC_CHECKVOBFILL, OnCheckvobfill)
	ON_WM_HELPINFO()
	ON_BN_CLICKED(IDSAVEREG, OnSavereg)
	ON_BN_CLICKED(IDC_CHECKPOSTPREFORCED, OnCheckpostpreforced)
	ON_BN_CLICKED(IDC_CHECKPOSTPRE, OnCheckpostpre)
	ON_BN_CLICKED(IDC_CHECKFIXTITLEPOINTERS, OnCheckfixtitlepointers)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg message handlers

BOOL CSettingsDlg::OnInitDialog()
{

	int i;
	CString csAux;

	CDialog::OnInitDialog();

	m_bCheckBlankNoB=	theApp.m_bCheckBlankNoB;
	m_bCheckOneSecStill=theApp.m_bCheckOneSecStill;

	m_bCheckNextMenu=	theApp.m_bCheckNextMenu;
	m_bCheckNextTitle=	theApp.m_bCheckNextTitle;
	m_bCheckPrevMenu=	theApp.m_bCheckPrevMenu;
	m_bCheckPrevTitle=	theApp.m_bCheckPrevTitle;

	m_bCheckAttrMenu=	theApp.m_bCheckAttrMenu;
	m_bCheckAttrTitle=	theApp.m_bCheckAttrTitle;

	m_bCheckElapsed=	theApp.m_bCheckElapsed;
	m_bCheckFixVobsReplacing=	theApp.m_bCheckFixVobsReplacing;
	m_bCheckCopyPalette=	theApp.m_bCheckCopyPalette;
	m_bCheckCopyAttrib=	theApp.m_bCheckCopyAttrib;
	m_bCheckCopyStatus=	theApp.m_bCheckCopyStatus;
	m_bCheckSubsAR=		theApp.m_bCheckSubsAR;

	m_bCheckDisTinyPrev=theApp.m_bCheckDisTinyPrev;
	m_bCheckNoOverlay=	theApp.m_bCheckNoOverlay;
	m_bCheckAutoPlay=	theApp.m_bCheckAutoPlay;
	m_bCheckAutoPlayTiny=theApp.m_bCheckAutoPlayTiny;
	m_bCheckTinyGoto10	=theApp.m_bCheckTinyGoto10;
	m_bCheckTinyMenus	=theApp.m_bCheckTinyMenus;

	m_bCheckVobFill=	theApp.m_bCheckVobFill;
	m_bCheckVobOrder=	theApp.m_bCheckVobOrder;
	m_bCheckVobMUnref=	theApp.m_bCheckVobMUnref;
	m_bCheckVobLUnref=	theApp.m_bCheckVobLUnref;
	m_bCheckVobRenumber=theApp.m_bCheckVobRenumber;
	m_bCheckClockDisc=	theApp.m_bCheckClockDisc;

	m_bCheck32kMenus=theApp.m_bCheck32kMenus;

	m_bCheckBckMul=		theApp.m_bCheckBckMul;
	m_bCheckBckVts=		theApp.m_bCheckBckVts;

	m_bCheckAutoScan=	theApp.m_bCheckAutoScan;

	m_bCheckPostPre=	theApp.m_bCheckPostPre;
	m_bCheckPostPreForced=	theApp.m_bCheckPostPreForced;

	m_bCheckFixTitlePointers=	theApp.m_bCheckFixTitlePointers;
	m_bCheckFixMenuPointers=	theApp.m_bCheckFixMenuPointers;


	m_ComboStill.ResetContent();
	m_ComboStill.AddString("First");
	m_ComboStill.AddString("Middle");
	m_ComboStill.AddString("Last");
	m_ComboStill.AddString("Auto");
	m_ComboStill.SetCurSel(theApp.m_iIFrameMode);

	m_ComboMinStill.ResetContent();
	for (i=0;i<30;i++)
	{
		csAux.Format(_T("%d"),i+1);
		m_ComboMinStill.AddString(csAux);
	}
	m_ComboMinStill.SetCurSel(theApp.m_iIMinStill);

	m_ComboMaxStill.ResetContent();
	for (i=0;i<20;i++)
	{
		csAux.Format(_T("%d"),i+1);
		m_ComboMaxStill.AddString(csAux);
	}
	m_ComboMaxStill.SetCurSel(theApp.m_iIMaxStill);

	m_ComboNVOBUs.ResetContent();
	for (i=0;i<30;i++)
	{
		csAux.Format(_T("%d"),i+1);
		m_ComboNVOBUs.AddString(csAux);
	}
	m_ComboNVOBUs.SetCurSel(theApp.m_iScanNVOBUs);


	UpdateData(FALSE);

 //  ToolTips
	c_bShowToolTips = TRUE;
	m_wndToolTip.Create(this);
	m_wndToolTip.Activate(c_bShowToolTips);

	m_wndToolTip.AddTool(GetDlgItem(IDOK), 
		"Apply changes to this session" );
	m_wndToolTip.AddTool(GetDlgItem(IDSAVEREG), 
		"Apply changes and save in Registry");
	m_wndToolTip.AddTool(GetDlgItem(IDCANCEL), 
		"Cancel changes and close" );
	m_wndToolTip.AddTool(GetDlgItem(IDDEFAULT), 
		"Reset to default (not saved)" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_COMBOSTILL), 
		"Selects I-Frame selection mode.\r\nAuto means the largest one" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_COMBOMINSTILL), 
		"Selects Min still time in buttons cells when motion2still w/o audio" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_COMBOMAXSTILL), 
		"Selects Max still time in no-buttons cells when motion2still w/o audio" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKNEXTMENU), 
		"Points Next PGCN to the same PGC if pointer is null in the case of no-buttons PGCs" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKNEXTTITLE), 
		"Points Next PGCN to the same PGC if pointer is null" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKPREVMENU),
		"Points Prev PGCN to the same PGC if pointer is null" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKPREVTITLE), 
		"Points Prev PGCN to the same PGC if pointer is null" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKATTRMENU),  
		"Clear audio/subs stream status when blanking PGCs or when reducing to still w/o audio" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKATTRTITLE),
		"Clear audio/subs stream status when blanking or stripping PGCs\r\nSome undesirable side effects can be produced" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKBLANKNOBUTTONS), 
		"In menus, blank Cells without buttons when reducing to still.\r\nRecommended if audio is deleted. Optional if audio is kept");
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKELAPSED), 
		"Fix elapsed time in Nav packs in Replaced Cells.\r\nUseful only if the replacing cell has been cut" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKVOBORDER),
		"Re-order cells in VOB to be in VID/CID sequence.\r\nIf unchecked, keep the original order" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKVOBFILL), 
		"Fill holes in VID/CID sequence with blank cells if needed" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKVOBMUNREF), 
		"Outputs middle unreferenced cells as blank cells.\r\nUnchecked deletes them, so VID/CID sequence will not be honored\nexcept if VCID renumbering option is checked" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKVOBLUNREF), 
		"Outputs last unreferenced cells of VOBIDs as blank cells.\r\nUnchecked deletes the last unreferenced cells of each VOBID.\r\nNote VID/CID sequence rules will be honored" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKVOBRENUMBER),
		"Renumbers VID/CID to delete holes in the VID/CID sequence\r\nCIDs: In the same VID, renumbers all CIDs to be consecutive and starting from 1.\r\nVIDs: Renumber the VIDs if needed to avoid unused VOBIDs" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKONESECSTILL), 
		"Use one second still time in blanked cells (no-button ones).\r\nSome settops need this still time" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKBCKMUL),
		"Use multiple backup folders.");
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKBCKVTS), 
		"Use backup folder in VIDEO_TS folder.\r\nUnchecked means ROOT folder" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKFIXVOBSREPLACING), 
		"Fix VOB internal pointers in case of replacing PGCs.\r\nNot usually needed if the replacing PGC is correctly muxed" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKAUTOSCAN), 
		"Automatically start a VOB Scan when loading a DVD" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_COMBONVOBUS),
		"Selects how many VOBUs are explored.\r\nThe higher, the faster (but less accurate)" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKNOOVERLAY), 
		"Never use overlay in preview. Useful for Linux users using wine" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKDISTINYPREV), 
		"Disable TinyPreview. Improve GUI speed changing selected PGCs.\r\nAlso useful if Tiny crashes VobBlanker....\r\nNeeds to be saved in Registry and a VobBlanker restart." );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKAUTOPLAY), 
		"Automatically starts playback when opens a Preview window" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKAUTOPLAYTINY), 
		"Automatically starts playback in Tiny preview" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKTINYMENUS), 
		"Menus are shown in Tiny Preview in a full domain mode when no PGCs are selected" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKTINYGOTO10), 
		"Tiny Preview seeks up to 10% PGC size when loading a new PGC.\r\nIf not checked it starts at the beginning of the first cell.\r\nUseful mainly if not autoplay." );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKCOPYPALETTE),
		"Copy Subpictures PGC Color Palette from replacing IFO when replacing a PGC" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKCOPYSTATUS), 
		"Copy PGC Audio/Subs Stream Control from replacing IFO when replacing a PGC" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKCOPYATTRIB), 
		"Copy VTS Audio and Subpictures attribute tables from replacing IFO\r\nwhen replacing a PGC.\r\nAffects to all the PGCs in VTS" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKCLOCKDISC), 
		"Check STC discontinuity flag in each cell of each PGC playback table.\r\nModify it according output VOB STC" );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKSUBSAR),
		"Change stream indexes in IFO if replacing PGC has different AR than the original.\r\nNot recommended if you're copying stream control tables from replacing PGC.\r\nAffects to all PGCs in the VTS." );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKPOSTPRE), 
		"Change postcommands into precommands in Blanked PGCs (Titles and Menus) but only if there are not cell commands." );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKPOSTPREFORCED), 
		"Change unconditionally postcommands into precommands in Blanked PGC (Titles and Menus)." );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKFIXTITLEPOINTERS), 
		"Fix in any case VOB internal pointers (Titles domain).\r\nPointers Fixed are SYNCI (audio and subs) and VOBU_SRI." );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECKFIXMENUPOINTERS), 
		"Fix in any case VOB internal pointers (Menus domain).\r\nPointers Fixed are SYNCI (audio and subs) and VOBU_SRI." );
	m_wndToolTip.AddTool(GetDlgItem(IDC_CHECK32KB), 
		"This guarantees a different sector and a physical distance between IFO and BUP. Physical distance is automatically adjusted to 1/2 turn\r\n\r\nUses an unreferenced cell+padding packs in a Menu file for GAP creation. Due the presence of the file, Nero won't complain and the gap will be guaranteed" );

	OnCheckvoborder();
	OnCheckvobfill();

	return TRUE;  // return TRUE  unless you set the focus to a control

}



void CSettingsDlg::SettingsToApp() 
{
	theApp.m_bCheckBlankNoB=	m_bCheckBlankNoB;
	theApp.m_bCheckOneSecStill=	m_bCheckOneSecStill;
	theApp.m_bCheckNextMenu=	m_bCheckNextMenu;
	theApp.m_bCheckNextTitle=	m_bCheckNextTitle;
	theApp.m_bCheckPrevMenu=	m_bCheckPrevMenu;
	theApp.m_bCheckPrevTitle=	m_bCheckPrevTitle;
	theApp.m_bCheckAttrMenu=	m_bCheckAttrMenu;
	theApp.m_bCheckAttrTitle=	m_bCheckAttrTitle;

	theApp.m_bCheckElapsed=		m_bCheckElapsed;
	theApp.m_bCheckFixVobsReplacing=		m_bCheckFixVobsReplacing;
	theApp.m_bCheckCopyPalette=	m_bCheckCopyPalette;
	theApp.m_bCheckCopyAttrib=	m_bCheckCopyAttrib;
	theApp.m_bCheckCopyStatus=	m_bCheckCopyStatus;
	theApp.m_bCheckSubsAR=		m_bCheckSubsAR;

	theApp.m_bCheckDisTinyPrev=	m_bCheckDisTinyPrev;
	theApp.m_bCheckNoOverlay=	m_bCheckNoOverlay;
	theApp.m_bCheckAutoPlay=	m_bCheckAutoPlay;
	theApp.m_bCheckAutoPlayTiny=m_bCheckAutoPlayTiny;
	theApp.m_bCheckTinyGoto10=	m_bCheckTinyGoto10;
	theApp.m_bCheckTinyMenus=	m_bCheckTinyMenus;

	theApp.m_bCheckVobFill=		m_bCheckVobFill;
	theApp.m_bCheckVobOrder=	m_bCheckVobOrder;
	theApp.m_bCheckVobMUnref=	m_bCheckVobMUnref;
	theApp.m_bCheckVobLUnref=	m_bCheckVobLUnref;
	theApp.m_bCheckVobRenumber= m_bCheckVobRenumber;
	theApp.m_bCheckClockDisc=	m_bCheckClockDisc;
	
	theApp.m_bCheck32kMenus=	m_bCheck32kMenus;

	theApp.m_bCheckBckMul=		m_bCheckBckMul;
	theApp.m_bCheckBckVts=		m_bCheckBckVts;
	theApp.m_bCheckAutoScan=	m_bCheckAutoScan;

	theApp.m_iIMaxStill=m_ComboMaxStill.GetCurSel();
	theApp.m_iIMinStill=m_ComboMinStill.GetCurSel();
	theApp.m_iIFrameMode=m_ComboStill.GetCurSel();
	theApp.m_iScanNVOBUs=m_ComboNVOBUs.GetCurSel();

	theApp.m_bCheckPostPre=			m_bCheckPostPre;
	theApp.m_bCheckPostPreForced=	m_bCheckPostPreForced;

	theApp.m_bCheckFixTitlePointers=m_bCheckFixTitlePointers;
	theApp.m_bCheckFixMenuPointers=	m_bCheckFixMenuPointers;

}

void CSettingsDlg::OnOK() 
{
	// TODO: Add extra validation here

	UpdateData(TRUE);
	SettingsToApp();

//	CDialog::OnOK();
}
void CSettingsDlg::OnCancel() 
{
	// TODO: Add extra cleanup here
	
	CDialog::OnCancel();
}
void CSettingsDlg::OnDefault() 
{
	// TODO: Add your control notification handler code here

	CWnd *pWnd;

	m_bCheckBlankNoB=	TRUE;
	m_bCheckOneSecStill=TRUE;
	m_bCheckNextMenu=	TRUE;
	m_bCheckNextTitle=	TRUE;
	m_bCheckPrevMenu=	TRUE;
	m_bCheckPrevTitle=	TRUE;
	m_bCheckAttrMenu=	TRUE;
	m_bCheckAttrTitle=	FALSE;

	m_bCheckDisTinyPrev=FALSE;
	m_bCheckNoOverlay=	FALSE;
	m_bCheckAutoPlay=	FALSE;
	m_bCheckAutoPlayTiny=FALSE;
	m_bCheckTinyGoto10=	TRUE;
	m_bCheckTinyMenus=	TRUE;

	m_bCheckVobFill=	FALSE;
	m_bCheckVobOrder=	FALSE;
	m_bCheckVobMUnref=	FALSE;
	m_bCheckVobLUnref=	FALSE;
	m_bCheckVobRenumber=TRUE;
	m_bCheckClockDisc=	TRUE;

	m_bCheck32kMenus=	FALSE;

	m_bCheckBckMul=		FALSE;
	m_bCheckBckVts=		FALSE;

	m_bCheckElapsed=	FALSE;
	m_bCheckFixVobsReplacing = FALSE;
	m_bCheckCopyPalette = FALSE;
	m_bCheckCopyAttrib = FALSE;
	m_bCheckCopyStatus = FALSE;
	m_bCheckSubsAR=		TRUE;

	m_bCheckAutoScan=	FALSE;
		
	m_ComboStill.SetCurSel(1);
	m_ComboMinStill.SetCurSel(9);
	m_ComboMaxStill.SetCurSel(4);
	m_ComboNVOBUs.SetCurSel(4);

	m_bCheckFixMenuPointers = FALSE;
	m_bCheckFixTitlePointers = FALSE;

	m_bCheckPostPre = TRUE;
	m_bCheckPostPreForced = FALSE;

	UpdateData(FALSE);

	pWnd=GetDlgItem(IDC_CHECKFIXVOBSREPLACING);
	pWnd->EnableWindow(TRUE);
	pWnd=GetDlgItem(IDC_CHECKVOBFILL);
	pWnd->EnableWindow(FALSE);
	pWnd=GetDlgItem(IDC_CHECKVOBMUNREF);
	pWnd->EnableWindow(TRUE);
	pWnd=GetDlgItem(IDC_CHECKVOBRENUMBER);
	pWnd->EnableWindow(TRUE);

}

void CSettingsDlg::OnCheckvoborder() 
{
	// TODO: Add your control notification handler code here
	CWnd *pWnd;


	UpdateData(TRUE);
	if (m_bCheckVobOrder)
	{
		pWnd=GetDlgItem(IDC_CHECKVOBFILL);
		pWnd->EnableWindow(TRUE);
	}
	else
	{
		pWnd=GetDlgItem(IDC_CHECKVOBFILL);
		pWnd->EnableWindow(FALSE);
		m_bCheckVobFill=FALSE;
		UpdateData(FALSE);
		pWnd=GetDlgItem(IDC_CHECKVOBMUNREF);
		pWnd->EnableWindow(TRUE);
		pWnd=GetDlgItem(IDC_CHECKVOBRENUMBER);
		pWnd->EnableWindow(TRUE);
	}
	
}

void CSettingsDlg::OnCheckvobfill() 
{
	// TODO: Add your control notification handler code here
	CWnd *pWnd;

	UpdateData(TRUE);
	if (m_bCheckVobFill)
	{
		pWnd=GetDlgItem(IDC_CHECKVOBMUNREF);
		pWnd->EnableWindow(FALSE);
		m_bCheckVobMUnref=TRUE;
		pWnd=GetDlgItem(IDC_CHECKVOBRENUMBER);
		pWnd->EnableWindow(FALSE);
		m_bCheckVobRenumber=FALSE;
		UpdateData(FALSE);
	}
	else
	{
		pWnd=GetDlgItem(IDC_CHECKVOBMUNREF);
		pWnd->EnableWindow(TRUE);
		pWnd=GetDlgItem(IDC_CHECKVOBRENUMBER);
		pWnd->EnableWindow(TRUE);

	}
	
}

void CSettingsDlg::OnCheckpostpreforced() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (!m_bCheckPostPre && m_bCheckPostPreForced) m_bCheckPostPre=TRUE;
	UpdateData(FALSE);
	
}

void CSettingsDlg::OnCheckpostpre() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (!m_bCheckPostPre && m_bCheckPostPreForced) m_bCheckPostPreForced=FALSE;
	UpdateData(FALSE);
	
}

BOOL CSettingsDlg::OnHelpInfo(HELPINFO* pHelpInfo) 
{
	// TODO: Add your message handler code here and/or call default
	
	HtmlHelp(NULL,theApp.m_csPath+"\\VobBlanker.chm::.\\htm\\More_Settings.htm", HH_DISPLAY_TOC, 0);
	return TRUE;

}

void CSettingsDlg::OnSavereg() 
{
	// TODO: Add your control notification handler code here

	UpdateData(TRUE);
	SettingsToApp();
	theApp.SettingsSave();
}


void CSettingsDlg::OnCheckfixtitlepointers() 
{
	// TODO: Add your control notification handler code here
	CWnd *pWnd;

	UpdateData(TRUE);
	pWnd=GetDlgItem(IDC_CHECKFIXVOBSREPLACING);
	if (m_bCheckFixTitlePointers)
	{
		m_bCheckFixVobsReplacing=TRUE;
		pWnd->EnableWindow(FALSE);
	}
	else
	{
		m_bCheckFixVobsReplacing=FALSE;
		pWnd->EnableWindow(TRUE);
	}
	UpdateData(FALSE);
	
}
